Package org.jboss.logging.annotations

# Annotation Type ConstructType

@Retention(CLASS) @Target(METHOD) @Documented public @interface ConstructType
Indicates the value of this annotation should be constructed and returned. This does not change the return type of the method.

This annotation is only allowed on bundle messages that have a throwable return type. The value must be assignable to the return type.

Since:
  2.0.0
Author:
  James R. Perkins

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`Class<? extends Throwable>`
`value`
The actual type that should be constructed for the return type.

## Element Details

### value

Class<? extends Throwable> value
The actual type that should be constructed for the return type.

Returns:
  the class to construct